### Method

# GUsb Device reset

since: 0.1.0

#### Declaration

    gboolean
    g_usb_device_reset (
      GUsbDevice* self
      GError** error
    )

#### Description

Perform a USB port reset to reinitialize a device.

If the reset succeeds, the device will appear to disconnected and reconnected. This means the `self` will no longer be valid and should be closed and rediscovered.

This is a blocking function which usually incurs a noticeable delay.

Available since: 0.1.0

#### Return value

Type: `gboolean`

`TRUE` on success.